# UpsertParam

Package io.milvus.param.dml

## Class UpsertParam

- java.lang.Object
- - io.milvus.param.dml.InsertParam
  - - io.milvus.param.dml.UpsertParam

    public class UpsertParam
    extends InsertParam

Parameters for `upsert` interface.

### Nested Class Summary

Nested Classes
`static class` `UpsertParam.Builder` Builder for `UpsertParam` class.

### Nested classes/interfaces inherited from class io.milvus.param.dml.InsertParam

`InsertParam.Field`

### Field Summary

### Fields inherited from class io.milvus.param.dml.InsertParam

`collectionName, databaseName, fields, partitionName, rowCount, rows`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UpsertParam.Builder` `newBuilder()`
`java.lang.String` `toString()` Constructs a `String` by `UpsertParam` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### newBuilder

    public static UpsertParam.Builder newBuilder()

#### toString

    public java.lang.String toString()

Constructs a `String` by `UpsertParam` instance.

Overrides:
  `toString` in class `InsertParam`
Returns:
  `String`